(********************************************************************)
(* THIS PROCEDURE WILL READ THE SERIAL CHANNELS BUFFER LENGTHS      *)
(* INPUT        : Ser_Chan : INTEGER                                *)
(* INPUT/OUTPUT : NONE                                              *)
(* OUTPUT       : Recv_Count, Xmit_Count : INTEGER                  *)
(* USES         : NO SIDE EFFECTS                                   *)
(* CALLS        : INTR                                              *)
(* ERRORS       : NONE                                              *)
(* GLOBAL VARS  : NONE                                              *)
(* SUBJECT      : SER COMM, READ BUFFER LENGTHS                     *)
(* DOMAIN       : ARNO A. KARNER                      LEVEL : 001   *)
(********************************************************************)

PROCEDURE Read_Buffer_Lens               (     Ser_Chan   : INTEGER ;
                                           VAR Recv_Count : INTEGER;
                                           VAR Xmit_Count : INTEGER );

VAR
   Regs : Reg;

BEGIN (* PROC *)
   Regs.AH := 14;
   Regs.DX := Ser_Chan;
   INTR ( 20, Regs );
   Xmit_Count := Regs.BX;
   Recv_Count := Regs.CX;
END ; (* PROC *)