(********************************************************************)
(* THIS PROCEDURE WILL READ THE SERIAL CHANNELS RECV FLOW CONTROL   *)
(* AND CONTROL COUNTS FOR ON AND OFF CONTROL                        *)
(* INPUT        : Ser_Chan : INTEGER                                *)
(* INPUT/OUTPUT : NONE                                              *)
(* OUTPUT       : Xmit_Flow : BYTE, On_Count, Off_Count : INTEGER   *)
(* USES         : NO SIDE EFFECTS                                   *)
(* CALLS        : INTR                                              *)
(* ERRORS       : NONE                                              *)
(* GLOBAL VARS  : NONE                                              *)
(* SUBJECT      : SER COMM, READ RECV FLOW CONTROL                  *)
(* DOMAIN       : ARNO A. KARNER                      LEVEL : 001   *)
(********************************************************************)

PROCEDURE Read_Recv_Flow                  (     Ser_Chan  : INTEGER ;
                                            VAR Xmit_Flow : BYTE ;
                                            VAR On_Count  : INTEGER;
                                            VAR Off_Count : INTEGER );

VAR
   Regs : Reg;

BEGIN (* PROC *)
   Regs.AH := 13;
   Regs.DX := Ser_Chan;
   INTR ( 20, Regs );
   Xmit_Flow := Regs.AL;
   Off_Count := Regs.BX;
   On_Count  := Regs.CX;
END ; (* PROC *)