(********************************************************************)
(* THIS PROCEDURE WILL READ THE CURRENT STATE OF DTE HAND SHAKING   *)
(* INPUT        : SERIAL CHANNEL TO LOOK AT                         *)
(* INPUT/OUTPUT : NONE                                              *)
(* OUTPUT       : INTEGER WITH BITS REPRESENTING HANDS INCLUDING LB *)
(* USES         : NONE                                              *)
(* CALLS        : INTR                                              *)
(* ERRORS       : NONE                                              *)
(* GLOBAL VARS  : NONE                                              *)
(* SUBJECT      : SERIAL COMM, DTE HANDS                            *)
(* DOMAIN       : ARNO A. KARNER                      LEVEL : 001   *)
(********************************************************************)

PROCEDURE Read_Xmit_Hands (     Ser_Chan : INTEGER ;
                            VAR Hands    : INTEGER ) ;

VAR
   Regs  : Reg ;

BEGIN (* PROC *)
   Regs.AH := 7 ;
   Regs.DX := Ser_Chan ;
   INTR ( 20, Regs ) ;
   Hands := Regs.AL ;
END ; (* PROC *)
