(********************************************************************)
(* THIS PROCEDURE WILL SET THE TIME OUT FOR THE INPUT SERIAL PORT   *)
(* INPUT        : SERIAL CHANNEL , Time_Out                         *)
(* INPUT/OUTPUT : NONE                                              *)
(* OUTPUT       : NONE                                              *)
(* USES         : NO SIDE EFFECTS                                   *)
(* CALLS        : INTR                                              *)
(* ERRORS       : NONE                                              *)
(* GLOBAL VARS  : NONE                                              *)
(* SUBJECT      : SERIAL COMM, SET TIME OUT                         *)
(* DOMAIN       : ARNO A. KARNER                      LEVEL : 001   *)
(********************************************************************)

PROCEDURE Set_Time_Out                        ( Ser_Chan : INTEGER ;
                                                Time_Out : INTEGER ) ;

VAR
   Regs  : Reg ;

BEGIN (* PROC *)
   Regs.AH := 15;
   Regs.AL := LO ( Time_Out ) ;
   Regs.DX := Ser_Chan ;
   INTR ( 20, Regs ) ;
END ; (* PROC *)
