(********************************************************************)
(* THIS PROCEDURE WILL SET THE INPUT DTE HANDS ON THE SERIAL PORT   *)
(* INPUT        : SERIAL CHANNEL , DTE HANDS                        *)
(* INPUT/OUTPUT : NONE                                              *)
(* OUTPUT       : NONE                                              *)
(* USES         : NO SIDE EFFECTS                                   *)
(* CALLS        : INTR                                              *)
(* ERRORS       : NONE                                              *)
(* GLOBAL VARS  : NONE                                              *)
(* SUBJECT      : SERIAL COMM, SET DTE HANDS                        *)
(* DOMAIN       : ARNO A. KARNER                      LEVEL : 001   *)
(********************************************************************)

PROCEDURE Set_Xmit_Hands                      ( Ser_Chan : INTEGER ;
                                                Hands    : INTEGER ) ;

VAR
   Regs  : Reg ;

BEGIN (* PROC *)
   Regs.AH := 6 ;
   Regs.AL := LO ( Hands ) ;
   Regs.DX := Ser_Chan ;
   INTR ( $14 , Regs ) ;
END ; (* PROC *)
